Subject: Emacs 24.0.92 windows build, fatal error with M-< or M->

From: Da Zhang <[email-masked]>
Date: Fri, 02 Dec 2011 00:20:21 -0500

Dear Yidong,

I am a dedicated Emacs user who is excited for the new Emacs 24. I have tried the 3 pretests of Emacs 24, and I saw improvements of its stability from each pretest. For example, with my current extensive .emacs configuration file, the first 2 pretests were not able to start normally. However, all the three pretests have the following problems:
1. after the .emacs file is loaded into the pretest Emacs, when I press M-< or M->, the program abort with a fatal error: "A fatal error has occurred! Would you like to attach a debugger? Select Yes to debug, No to abort Emacs..."
2. certain part of eieio is not available, and the emacs prompts with "Symbol's function definition is void: eieio--defgeneric-init-form"

I am not sure if other windows users have experienced the same problem. I attached my .emacs file. Thanks for your attention.

Da Zhang